Users
Update User
Updates an existing user in your COR instance using their external ID
PUT
Updates an existing user in your COR instance using their external ID. Only provided fields will be updated.
Path Parameters
string
required
External user ID that was used when creating the user
Request Body Requirements
object
required
string
Updated first name
string
Updated last name
string
Updated phone number
string
Updated job position
string
Updated department
number
Updated COR role ID
number
Updated daily hours capacity
string
External position ID. The position must have been previously created through the integrations API. Updates the user’s position assignment.
string
External seniority ID. The seniority must have been previously created through the integrations API. Updates the user’s seniority level.
number
Monthly salary amount.
string
Month from which the salary becomes effective. Must use MM-YYYY format. Defaults to the current month if salary is provided.
Known Errors
ZC001— Entity is not associated (user with the specified external ID not found)UserNotFoundError— No user found with the specified external ID for this sourceValidationError— Missing requiredmetadata.sourcefieldInvalidRoleError— Therole_idis not a valid COR roleValidationError— Thesalary_fromfield must use MM-YYYY format

